---
cwlVersion: v1.1
$graph:
  - baseCommand:
      - echo
      - -n
      - test 
    class: CommandLineTool
    cwlVersion: v1.1
    id: "#awg_sha256_5945ba309225448b1574b750a4df20ce5164c3b173c776b504b5dafdd0b9b916"
    inputs:
      - id: name
        type: string
        inputBinding: {}
    outputs:
      - id: message
        type: string
        outputBinding:
          glob: output.txt
          loadContents: true
          outputEval: $(self[0].contents)
    stdout: output.txt
    requirements:
      - class: DockerRequirement
        dockerPull: "busybox"
  - class: Workflow
    cwlVersion: v1.1
    id: "#main"
    inputs:
      - type:
          items: string
          type: array
        id: name
    outputs:
      - type:
          items: string
          type: array
        id: output_vector_of_strings
        outputSource: step_two/message
    steps:
      - in:
          - id: name
            source: name
        out:
          - message
        run: "#awg_sha256_5945ba309225448b1574b750a4df20ce5164c3b173c776b504b5dafdd0b9b916"
        id: step_one
        scatter:
          - name
      - in:
          - id: name
            source: step_one/message
        out:
          - message
        run: "#awg_sha256_5945ba309225448b1574b750a4df20ce5164c3b173c776b504b5dafdd0b9b916"
        id: step_two
        scatter:
          - name
    requirements:
      - class: ScatterFeatureRequirement
      - class: SubworkflowFeatureRequirement
